|
|
|
|
|
|
|
|
|
|
xen-devel
[Xen-devel] [PATCH] tools: add more checks for devel packages
On different systems I ran into different build failures that can be made
more understandable by adding appropriate -devel package installation
checks.
All files must be given exec permission after applying the patch.
Signed-off-by: Jan Beulich <jbeulich@xxxxxxxxxx>
Index: 2006-10-30/tools/check/check_crypto_lib
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
+++ 2006-10-30/tools/check/check_crypto_lib 2006-10-31 12:26:06.000000000
+0100
@@ -0,0 +1,11 @@
+#!/bin/bash
+# CHECK-BUILD CHECK-INSTALL
+
+function error {
+ echo
+ echo " *** Check for crypto library FAILED"
+ exit 1
+}
+
+set -e
+ldconfig -p | grep -q libcrypto.so || error
Index: 2006-10-30/tools/check/check_openssl_devel
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
+++ 2006-10-30/tools/check/check_openssl_devel 2006-10-31 12:14:11.000000000
+0100
@@ -0,0 +1,11 @@
+#!/bin/bash
+# CHECK-BUILD
+
+function error {
+ echo
+ echo " *** Check for openssl headers FAILED"
+ exit 1
+}
+
+set -e
+[ -e /usr/include/openssl/md5.h ] || error
Index: 2006-10-30/tools/check/check_x11_devel
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
+++ 2006-10-30/tools/check/check_x11_devel 2006-10-31 16:11:58.000000000
+0100
@@ -0,0 +1,11 @@
+#!/bin/bash
+# CHECK-BUILD
+
+function error {
+ echo
+ echo " *** Check for x11 headers FAILED"
+ exit 1
+}
+
+set -e
+[ -e /usr/include/X11/keysymdef.h ] || error
_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel
|
<Prev in Thread] |
Current Thread |
[Next in Thread> |
- [Xen-devel] [PATCH] tools: add more checks for devel packages,
Jan Beulich <=
|
|
|
|
|